# Filename: tri_is_consistent.py
# Purpose: Returns true if there are inconsistent triangles.
# Returns: Bool.

from maptek import vulcan

input_tri = 'topo.00t' # input tri

with vulcan.triangulation(input_tri, 'r') as tri: # Open tri in read mode
    state = tri.is_consistent()    # Check for inconsistent triangles

    # do something with results...
    print(state)